import json
from applications.ai import kimi_ai, tly_ai, tencent_ai


def question_fission(query):
    """
    问题裂变
    :param query
    :return:
    """
    prompt = f"""
        - 你是一个提问裂变器，能够将用户提供的搜索query裂变成4个不同方向的提问，以便获取更加全面的搜索结果。

        - 根据搜索query：'{query}'，生成5个在主题一致但方向有所差别的提问。
        - 确保生成的提问简洁明了，直接输出5个问句。
        - 以JSON格式输出5个问句，每个问句可以分别引用。
        你拥有以下技能
        - 技能1：语义理解与转换
          1. 理解用户提供的搜索query的核心主题和意图。
          2. 在保持主题一致的前提下，生成不同方向的提问。

        - 技能2：提问生成
          1. 根据原始query，生成5个不同方向的提问。
          2. 确保每个提问都能引导用户获得不同的搜索结果。

        - 技能3：多领域适应
          1. 能够处理任何主题的搜索query。
          2. 生成的提问适用于各种搜索引擎和信息检索场景。

        限制
        - 每次生成的提问数量固定为5个。
        - 不添加额外的说明或解释，直接输出5个问句。
        - 不考虑特定的关键词或排除某些关键词。
        - 以JSON格式输出问句，每个问句可以分别引用。
        输出格式模板
        key, value分别是
        'question1': '问句1',
        'question2': '问句2',
        'question3': '问句3',
        'question4': '问句4',
        'question5': '问句5'
        """
    question_dict = kimi_ai(prompt=prompt)
    return question_dict


def generate_text(question):
    """
    使用kimi生成文章
    :param question:
    :return:
    """
    prompt = f"""
    通过给到你的这个问题：'{question}',
    生成一篇小文章，文章需要有逻辑，有参考意义
    """
    response = tencent_ai(prompt)
    return response


# question_dict = {
#     "question1": "退休后的生活有哪些值得关注的方面？",
#     "question2": "退休人员如何规划自己的退休生活？",
#     "question3": "退休后如何保持身心健康？",
#     "question4": "退休人员有哪些适合的娱乐活动推荐？",
#     "question5": "退休后如何有效管理个人财务？"
# }
#
# material = {}
# for question_key in question_dict:
#     question = question_dict[question_key]
#     response = generate_text(question)
#     material[question] = response
#
# print(json.dumps(material, ensure_ascii=False, indent=4))

w = {
    "question1": "有哪些歌曲或故事能深刻表达人生的复杂情感？",
    "question2": "听完哪些歌曲或故事会让人感动到流泪？",
    "question3": "如何理解'这就是人生'这句话背后的深层含义？",
    "question4": "有哪些文学作品或电影描绘了人生的起伏和情感变化？",
    "question5": "在艺术作品中，如何通过不同的手法表达人生的喜怒哀乐？"
}
print(type(w))